Skip to main content

Virtual Private Networks

Browse the catalog of available Virtual Private Networks (VPNs) for your tenant.

Overview​

The Virtual Private Network API is tenant-scoped and provides read-only access to the catalog of VPNs available to your organization:

  • List all VPNs owned by a tenant
  • Filter VPNs by coverage zone or Super PoP location

VPN Attributes​

FieldDescription
vpnNameIdentifying name of the VPN
vpnRolesAvailable roles for this VPN
customerIdIdentifier of the owning customer
vpnCityCity where the VPN is located
footprintFootprint designation
vpnZoneGeographic zone of the VPN

Coverage Types​

CoverageDescription
LOCALLocal coverage
GLOBALGlobal coverage
REGIONALRegional coverage

Common Use Cases​

List all VPNs for a tenant​

curl -X GET 'https://api.orange.com/evolutionplatform/vnfaaservice/api/v1/tenants/{tenantId}/virtualprivatenetworks' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Filter VPNs by coverage​

curl -X GET 'https://api.orange.com/evolutionplatform/vnfaaservice/api/v1/tenants/{tenantId}/virtualprivatenetworks/filter?coverage=REGIONAL' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Filter by Super PoP location​

curl -X GET 'https://api.orange.com/evolutionplatform/vnfaaservice/api/v1/tenants/{tenantId}/virtualprivatenetworks/filter?superPopLocation=Paris' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'

API Reference​

For complete endpoint documentation, see the API Reference.